<?php

// Exit if accessed directly
if ( !defined('ABSPATH')) exit;

/**
 * Archives page Template
 *
 *
 * @file           archives.php
 * @package        Ubuntu insights 
 * @author         Canonical Web Team 
 * @copyright      2012 Canonical Ltd
 * @license
 * @version        Release: 2.0
 * @filesource     wp-content/themes/ubuntu/archives.php
 * @link           http://codex.wordpress.org/Theme_Development#Archive_.28archive.php.29
 * @since          available since Release 2.0
 */

get_header(); ?>

<div id="content" role="main">

<div class="two-col">
<?php get_template_part("/includes/_nav_archive"); ?>
</div><!-- /.two-col -->
<?php $postCount = 0; ?>
	<?php if(++$postCount == 1) { ?>
	<h1>Archives</h1>
		<div class="six-col suffix-four last-col">
			<ul id="results-list" class="no-bullets">
	<?php } ?>
            <?php $recent = new WP_Query("showposts=10"); while($recent->have_posts()) : $recent->the_post();?>
			<?php get_template_part("/includes/_result_list_item"); ?>		
            <?php endwhile;?>
        </ul>
</div><!-- end .entry-content -->


	</div><!-- #content -->

<?php get_footer(); ?>