jQuery(document).ready(function($){
//document.domain = 'ubuntu.com';

$('.home #articles li.four-col, .home .featured-article, .category #articles li.four-col').append('<div class="article-top"></div>');

// add and clear search input text box value
$('#box-search .form-text').each(function() {
    var default_value = this.value;
    $(this).focus(function() {
        if(this.value == 'Search') {
            this.value = '';
            $(this).addClass("search-focus");
       }
    });
    $(this).blur(function() {
        if(this.value == '') {
            this.value = 'Search';
            $(this).removeClass("search-focus");
        }
    });
});

// removes no-js class and adds yes-js if js
$("html").removeClass("no-js").addClass("yes-js");
	
// close alert 
$(".alert p").append("<a href='#' id='close-alert'>close</a>");	
	
$('#close-alert').click(function() {
  $('.alert').fadeOut('slow', function() {
  });
});

		
// blockClick plugin.
(function($) {
  $.fn.blockClick = function(options) {

    var opts = $.extend({}, $.fn.blockClick.defaults, options);

    return this.each(function() {
      $(this)
        .css("cursor", "pointer")
			  .hover((function(){
				  $(this).addClass("block-click-hover");
			  }),
			  function(){
			    $(this).removeClass("block-click-hover");
		    })
			  .click(function(){
				  window.location = $(this).find("a").attr("href");		
			  });
    });
  };
  $.fn.blockClick.defaults = {};
	$(function(){ $('.block-click').blockClick(); });
})(jQuery);

(function($) {
  $.fn.equalHeights = function(options) {
    var opts = $.extend({}, $.fn.equalHeights.defaults, options);
        
    /* Work out the highest .height(). */
    var heightArr = new Array();
    var $items = this;
    function max(array){
        return Math.max.apply( Math, array );
    };
    
    if ($items.length == 0) return;
    $items.each(function(i){ 
      
      var $item = $(this);
      $(this).css({
        minHeight : 0,
        height : "auto"
      });
      heightArr[i] = $item.height();
      
      if (i == $items.length - 1) {
        var maxHeight = max(heightArr);
        $items.each(function(){ $(this).height(maxHeight); });
        return $items;
      }
    });
  }
  $.fn.equalHeights.defaults = {};
})(jQuery);

  $(window).load(function(){
    //setEqualHeights($('#mags-latest .twelve-col'), 2);
    $('.category .article-list article.box').equalHeights();
  });
  
  function setEqualHeights($items, groupCount) {
    var maxCount = $items.length,
        count;
    $.each($items, function(i){
      count++;
      if (((i+1) % groupCount == 0)) {
        $items.slice((i - count) + 1, i + 1).equalHeights();
        count = 0;
      } 
      if (i == maxCount - 1  && ((i+1) % groupCount != 0)) {
        // Deal with the end of the list.
      }
    });
  }

});    
