<?php

// Exit if accessed directly
if ( !defined('ABSPATH')) exit;

/**
 * Page Template
 *
 *
 * @file           page.php
 * @package        Ubuntu insights 
 * @author         Canonical Web Team 
 * @copyright      2012 Canonical Ltd
 * @license
 * @version        Release: 1.0
 * @filesource     wp-content/themes/ubuntu/page.php
 * @link           http://codex.wordpress.org/Theme_Development#Pages_.28page.php.29
 * @since          available since Release 1.0
 */
?>

<?php get_header(); ?>

<div class="eight-col">
<?php if (have_posts()) : ?>
		<?php while (have_posts()) : the_post(); ?>
			<article>
				<h2><a href="<?php the_permalink() ?>" rel="bookmark" title="Permanent Link to <?php the_title_attribute(); ?>"><?php the_title(); ?></a></h2>
				<p class="post-cat"><?php the_category(', ') ?></p> 
				<p class="post-comments"><?php comments_popup_link('No Comments', '1 Comment', '% Comments'); ?></p> 
				<?php the_content('Read the rest of this entry &raquo;'); ?>
			</article>
        <?php endwhile; // while have_posts ends ?> 
<?#php else : ?>
<?php endif; // if have_posts ends ?> 
</div><!-- /.eight-col --> 
	
<?php get_sidebar(); ?>
<?php get_footer(); ?>