<?php
/**
 * @package WordPress
 * @subpackage Default_Theme
 */

get_header(); ?>
<setcion>
	<div id="articles" class="eight-col prepend-one">
		<header>
			<hgroup>
				<h1>Your search results for 
				<?php /* Search Count */ 
					$allsearch = &new WP_Query("s=$s&showposts=-1"); 
					$key = wp_specialchars($s, 1); 
					$count = $allsearch->post_count; _e('');
					 _e('\''); 
					 echo $key; _e('\''); 
				?>
				</h1>
				<h2>We've found 
				<?php	 echo $count . ' '; _e('articles'); 
					 wp_reset_query(); 
				?>.</h2>
			</hgroup>
		</header>
		<?php if (have_posts()) : ?>
			<ul id="results-list" class="no-bullets">
			<?php while (have_posts()) : the_post(); ?>
				<?php get_template_part("/includes/_result_list_item"); ?>		
			<?php endwhile; ?>
			</ul>
			
			<?php get_template_part("includes/_pagination"); ?>
	
		<?php else : ?>
	
			<p>No posts found. Try a different search?</p>
			<?php get_search_form(); ?>
	
		<?php endif; // end have_posts ?>
	
	</div><!-- /.eight-col --> 
</section>
<?php get_footer(); ?>
